package net.chezdom.android.cours_201205_lists;

import java.util.List;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

public class MotosAdapter extends ArrayAdapter<Moto> {

    public MotosAdapter(Context context, List<Moto> objects) {
	super(context, R.layout.motorow, objects);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
	LayoutInflater inflater=(LayoutInflater) getContext().getSystemService(Context.LAYOUT_INFLATER_SERVICE);

	View rowView=inflater.inflate(R.layout.motorow, parent, false);
	TextView tv1=(TextView) rowView.findViewById(R.id.textView1);
	TextView tv2=(TextView) rowView.findViewById(R.id.textView2);
		
	tv1.setText(this.getItem(position).getMarque());		
	tv2.setText(this.getItem(position).getModele());

	return rowView;
    }

}
