package net.chezdom.android.cours_201205_lists;

import java.util.ArrayList;

import android.os.Bundle;
import android.app.ListActivity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.Toast;

public class MaListeDeMotosActivity extends ListActivity implements OnItemClickListener {

    private ArrayList<Moto> motos;
    private ListView motosList;
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
	super.onCreate(savedInstanceState);
	setContentView(R.layout.activity_ma_liste_de_motos);
		
	motos=new ArrayList<Moto>();
	motos.add(new Moto("Kawazaki","Z900",903,4,82));
	motos.add(new Moto("Triumph","Speed Triple",1050,3,106));
	motos.add(new Moto("MV Agusta","F4-1000RR",1000,4,166));
	motos.add(new Moto("BMW","K-100RS",987,2,90));
	motos.add(new Moto("BMW","R-1150 GS",1150,2,100));
	motos.add(new Moto("Ducati","Monster",698,2,100));
	motos.add(new Moto("Honda","CBR1000RR",1000,4,172));
	motos.add(new Moto("Suzuki","Bandit 1250",1250,4,98));
		
	motosList=this.getListView();
	MotosAdapter motoListAdapt=new MotosAdapter(this, motos);
	motosList.setAdapter(motoListAdapt);
	motosList.setOnItemClickListener(this);
		
	EditText etSearch=(EditText) this.findViewById(R.id.editText1);
	etSearch.addTextChangedListener(motoListAdapt);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
	// Inflate the menu; this adds items to the action bar if it is present.
	getMenuInflater().inflate(R.menu.activity_ma_liste_de_motos, menu);
	return true;
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
	Toast.makeText(getApplicationContext(), ""+((Moto)motosList.getItemAtPosition(position)).getModele() , Toast.LENGTH_SHORT).show();
	Intent intent=new Intent(this, MotoActivity.class);
	intent.putExtra("moto", (Moto)motosList.getItemAtPosition(position));
	startActivity(intent);
    }

}
